Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.management.runtime
Interface AppViewSummaryMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

    public interface AppViewSummaryMBean

extends weblogic.management.WebLogicMBean

Provides summary statistics for AppViewRuntimeMBeans in a cluster. This MBean should be considered the 'public' interface for ApplicationView statistics (AppViewRuntimeMBean might be used if per-server stats are required).

Method Summary
`void` | `forceRefresh()` Force an immediate refresh of the cached statistics on this MBean instance.
`String` | `getAppViewID()` Name of the ApplicationView this MBean represents (derived from appName and getDescriptor().getQualifiedName().toString().
`Long` | `getAsyncServiceAverageRequestWaitTime()` The average time (in milliseconds) async requests for all services spent waiting on the async request queue.
`Integer` | `getAsyncServiceCount(String serviceName)` Number of async service invocations for the given service (or all services if serviceName=null).
`Integer` | `getAsyncServiceErrorCount(String serviceName)` Number of async service invocation errors for the given service (or all services if serviceName=null).
`Integer` | `getEventCount(String eventType)` Number of events delivered of the given type.
`Integer` | `getEventErrorCount(String eventType)` Number of event delivery errors encountered for the given type (or all types if eventType is null).
`Long` | `getLastEventDeliveryTime()` The system time (in milliseconds) at which the most recent event was delivered (or –1) if none have been delivered.
`Long` | `getLastEventResetTime()` The system time (in milliseconds) at which the event counters were last reset (or –1) if no reset has been performed.
`Long` | `getLastServiceInvocationTime()` The system time (in milliseconds) at which the most recent service invocation occurred (or –1 if no services have been invoked).
`Long` | `getLastServiceResetTime()` The system time (in milliseconds) at which the service counters were last reset (or –1) if no reset has been performed.
`long` | `getRefreshWindow()` Gets the refresh window setting.
`Long` | `getServiceAverageElapsedTime(String serviceName)` Average elapsed time (in milliseconds) for service invocations of the given service (or all services if serviceName=null).
`Integer` | `getSuspendedAsyncServiceCount(String eventType)` Number of async service requests for the given service (or all services if serviceName=null) that have been ‘Suspended’ due to the AppView being suspended.
`Integer` | `getSuspendedEventCount(String eventType)` Number of events of the given type (or all types if eventType=null) that have been ‘Suspended’ due to the AppView being suspended.
`Integer` | `getSyncServiceCount(String serviceName)` Number of sync service invocations for the given service (or all services if serviceName=null).
`Integer` | `getSyncServiceErrorCount(String serviceName)` Number of sync service invocation errors encountered for the given service (or all services if serviceName=null)
`void` | `resetEventCounts()` Reset event and event error counts (not suspended count) to zero.
`void` | `resetServiceCounts()` Reset all sync/async service/error counts to zero (not suspended async counts).
`void` | `resetSuspendedAsyncServiceCounts()` Force the suspended async service counts for all services on this ApplicationView back to zero.
`void` | `setRefreshWindow(long millis)` Sets the maximum amount of time (in millis) previously collected summary information can be used before a fresh copy of the information must be obtained.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setRefreshWindow

    void setRefreshWindow(long millis)

  Sets the maximum amount of time (in millis) previously collected summary information can be used before a fresh copy of the information must be obtained. This value defaults to 3000 milliseconds.

### getRefreshWindow

    long getRefreshWindow()

  Gets the refresh window setting.

  See Also:
    `setRefreshWindow(long)`

### forceRefresh

    void forceRefresh()
                      throws javax.management.MBeanException

  Force an immediate refresh of the cached statistics on this MBean instance.

  Throws:
    `javax.management.MBeanException`

### getAppViewID

    String getAppViewID()

  Name of the ApplicationView this MBean represents (derived from appName and getDescriptor().getQualifiedName().toString().

### getEventCount

    Integer getEventCount(String eventType)
                          throws javax.management.MBeanException

  Number of events delivered of the given type. Pass null to get total events delivered of all types.

  Throws:
    `javax.management.MBeanException`

### getSuspendedEventCount

    Integer getSuspendedEventCount(String eventType)
                                   throws javax.management.MBeanException

  Number of events of the given type (or all types if eventType=null) that have been ‘Suspended’ due to the AppView being suspended.

  Throws:
    `javax.management.MBeanException`

### getEventErrorCount

    Integer getEventErrorCount(String eventType)
                               throws javax.management.MBeanException

  Number of event delivery errors encountered for the given type (or all types if eventType is null).

  Throws:
    `javax.management.MBeanException`

### resetEventCounts

    void resetEventCounts()
                          throws javax.management.MBeanException

  Reset event and event error counts (not suspended count) to zero.

  Throws:
    `javax.management.MBeanException`

### getLastEventResetTime

    Long getLastEventResetTime()
                               throws javax.management.MBeanException

  The system time (in milliseconds) at which the event counters were last reset (or –1) if no reset has been performed.

  Throws:
    `javax.management.MBeanException`

### getLastEventDeliveryTime

    Long getLastEventDeliveryTime()
                                  throws javax.management.MBeanException

  The system time (in milliseconds) at which the most recent event was delivered (or –1) if none have been delivered.

  Throws:
    `javax.management.MBeanException`

### getSyncServiceCount

    Integer getSyncServiceCount(String serviceName)
                                throws javax.management.MBeanException

  Number of sync service invocations for the given service (or all services if serviceName=null).

  Throws:
    `javax.management.MBeanException`

### getSyncServiceErrorCount

    Integer getSyncServiceErrorCount(String serviceName)
                                     throws javax.management.MBeanException

  Number of sync service invocation errors encountered for the given service (or all services if serviceName=null)

  Throws:
    `javax.management.MBeanException`

### getServiceAverageElapsedTime

    Long getServiceAverageElapsedTime(String serviceName)
                                      throws javax.management.MBeanException

  Average elapsed time (in milliseconds) for service invocations of the given service (or all services if serviceName=null). This number averages in both sync and async service elapsed times. For async services, only the time spent communicating with the adapter is included. Does not include the amount of time the async request spends waiting on the async request queue.

  Throws:
    `javax.management.MBeanException`

### getAsyncServiceCount

    Integer getAsyncServiceCount(String serviceName)
                                 throws javax.management.MBeanException

  Number of async service invocations for the given service (or all services if serviceName=null).

  Throws:
    `javax.management.MBeanException`

### getAsyncServiceErrorCount

    Integer getAsyncServiceErrorCount(String serviceName)
                                      throws javax.management.MBeanException

  Number of async service invocation errors for the given service (or all services if serviceName=null).

  Throws:
    `javax.management.MBeanException`

### getSuspendedAsyncServiceCount

    Integer getSuspendedAsyncServiceCount(String eventType)
                                          throws javax.management.MBeanException

  Number of async service requests for the given service (or all services if serviceName=null) that have been ‘Suspended’ due to the AppView being suspended.

  Throws:
    `javax.management.MBeanException`

### resetSuspendedAsyncServiceCounts

    void resetSuspendedAsyncServiceCounts()
                                          throws javax.management.MBeanException

  Force the suspended async service counts for all services on this ApplicationView back to zero. This method should only be used when it is known that the displayed suspended async service count is incorrect, and that all prior suspended async requests have been processed. The displayed suspended async service count can be incorrect in cases where the AI AsyncServiceProcessorMDB's transaction has been rolled back due to EIS or JMS resource failure. An incorrect value for suspended async service count is usually indicated by the value being non-zero after all ApplicationViews have been resumed, and all suspended async requests have been processed.

  Throws:
    `javax.management.MBeanException`

### resetServiceCounts

    void resetServiceCounts()
                            throws javax.management.MBeanException

  Reset all sync/async service/error counts to zero (not suspended async counts).

  Throws:
    `javax.management.MBeanException`

### getAsyncServiceAverageRequestWaitTime

    Long getAsyncServiceAverageRequestWaitTime()
                                               throws javax.management.MBeanException

  The average time (in milliseconds) async requests for all services spent waiting on the async request queue.

  Throws:
    `javax.management.MBeanException`

### getLastServiceResetTime

    Long getLastServiceResetTime()
                                 throws javax.management.MBeanException

  The system time (in milliseconds) at which the service counters were last reset (or –1) if no reset has been performed.

  Throws:
    `javax.management.MBeanException`

### getLastServiceInvocationTime

    Long getLastServiceInvocationTime()
                                      throws javax.management.MBeanException

  The system time (in milliseconds) at which the most recent service invocation occurred (or –1 if no services have been invoked).

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD